Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class AbstractKernelControllerContext.PreprocessMetaDataVisitor

    java.lang.Object
      org.jboss.kernel.plugins.dependency.AbstractKernelControllerContext.PreprocessMetaDataVisitor

All Implemented Interfaces:
  MetaDataVisitor, PrivilegedAction

Enclosing class:
  AbstractKernelControllerContext

protected class AbstractKernelControllerContext.PreprocessMetaDataVisitor
extends Object
implements MetaDataVisitor, PrivilegedAction

A visitor for the metadata that looks for dependencies.

Constructor Summary
`AbstractKernelControllerContext.PreprocessMetaDataVisitor(BeanMetaData bmd)` Create a new MetaDataVisitor.

Method Summary
`void` | `addDependency(org.jboss.dependency.spi.DependencyItem dependency)` Add a dependency
`org.jboss.dependency.spi.ControllerState` | `getContextState()` Get the context state
`KernelControllerContext` | `getControllerContext()` Get the kernel controller context
`Object` | `run()` Visit the bean metadata node, this is the starting point
`void` | `setContextState(org.jboss.dependency.spi.ControllerState contextState)` Set the context state
`void` | `visit(MetaDataVisitorNode node)` Visit a node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractKernelControllerContext.PreprocessMetaDataVisitor

    public AbstractKernelControllerContext.PreprocessMetaDataVisitor(BeanMetaData bmd)

  Create a new MetaDataVisitor.

Method Detail

### run

    public Object run()

  Visit the bean metadata node, this is the starting point

  Specified by:
    `run` in interface `PrivilegedAction`

### visit

    public void visit(MetaDataVisitorNode node)

  Visit a node

  Specified by:
    `visit` in interface `MetaDataVisitor`
  Parameters:
    `node` - the node

### getControllerContext

    public KernelControllerContext getControllerContext()

  Description copied from interface: `MetaDataVisitor`
  Get the kernel controller context

  Specified by:
    `getControllerContext` in interface `MetaDataVisitor`
  Returns:
    the context

### getContextState

    public org.jboss.dependency.spi.ControllerState getContextState()

  Description copied from interface: `MetaDataVisitor`
  Get the context state

  Specified by:
    `getContextState` in interface `MetaDataVisitor`
  Returns:
    the context state

### addDependency

    public void addDependency(org.jboss.dependency.spi.DependencyItem dependency)

  Description copied from interface: `MetaDataVisitor`
  Add a dependency

  Specified by:
    `addDependency` in interface `MetaDataVisitor`
  Parameters:
    `dependency` - the dependency

### setContextState

    public void setContextState(org.jboss.dependency.spi.ControllerState contextState)

  Description copied from interface: `MetaDataVisitor`
  Set the context state

  Specified by:
    `setContextState` in interface `MetaDataVisitor`
  Parameters:
    `contextState` - the context state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.